/*
//*****************************************************************************
/*
*	@(#) Alpha_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;

public class Alpha_Info extends ObjectInfo
{	
	public Alpha_Info()
	{
	}
		
	java.util.Enumeration getChildren( Object obj )
	{
		return super.getChildren( obj );
	}
	
	public int[] getCapabilityBits()
	{
		return super.getCapabilityBits();
	}
	
	public String getInfo( Object obj )
	{
		Alpha alpha = (Alpha) obj;
			
		String szText = super.getInfo( obj );
		szText = insertSectionBreak( szText );
		
		szText += "Alpha\r\n";
		
		szText += "Trigger Time: " + alpha.getTriggerTime() + "\r\n";
		szText += "Phase Delay: " + alpha.getPhaseDelayDuration() + "\r\n";
		szText += "Increasing Alpha: " + alpha.getIncreasingAlphaDuration() + "\r\n";
		szText += "Increasing Alpha Ramp: " + alpha.getIncreasingAlphaRampDuration() + "\r\n";
		szText += "At One: " + alpha.getAlphaAtOneDuration() + "\r\n";
		szText += "Decreasing Alpha: " + alpha.getDecreasingAlphaDuration() + "\r\n";
		szText += "Decreasing Alpha Ramp: " + alpha.getDecreasingAlphaRampDuration() + "\r\n";
		szText += "At Zero: " + alpha.getAlphaAtZeroDuration() + "\r\n";
		szText += "Loop Count: " + alpha.getLoopCount() + "\r\n";
		
		return szText;
	}
}